Loading...
Searching...
No Matches
Opm::VtkBlackOilModule< TypeTag > Class Template Reference

VTK output module for the black oil model's parameters. More...

`#include <vtkblackoilmodule.hpp>`

Inheritance diagram for Opm::VtkBlackOilModule< TypeTag >:

## Public Member Functions

| VtkBlackOilModule (const Simulator &simulator)
void | allocBuffers () override
| Allocate memory for the scalar fields we would like to write to the VTK file.
void | processElement (const ElementContext &elemCtx) override
| Modify the internal buffers according to the intensive quantities relevant for an element.
void | commitBuffers (BaseOutputWriter &baseWriter) override
| Add all buffers to the VTK output writer.
Public Member Functions inherited from Opm::BaseOutputModule< TypeTag >
| BaseOutputModule (const Simulator &simulator)
virtual bool | needExtensiveQuantities () const
| Returns true iff the module needs to access the extensive quantities of a context to do its job.

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the multi-phase VTK output module.

## Additional Inherited Members

Public Types inherited from Opm::BaseOutputModule< TypeTag >
using | ScalarBuffer = BaseOutputWriter::ScalarBuffer
using | VectorBuffer = BaseOutputWriter::VectorBuffer
using | TensorBuffer = BaseOutputWriter::TensorBuffer
using | EqBuffer = std::array<ScalarBuffer, numEq>
using | PhaseBuffer = std::array<ScalarBuffer, numPhases>
using | ComponentBuffer = std::array<ScalarBuffer, numComponents>
using | PhaseComponentBuffer = std::array<std::array<ScalarBuffer, numComponents>, numPhases>
using | PhaseVectorBuffer = std::array<VectorBuffer, numPhases>
Protected Types inherited from Opm::BaseOutputModule< TypeTag >
enum class | BufferType { Dof , Vertex , Element }
Protected Member Functions inherited from Opm::BaseOutputModule< TypeTag >
void | resizeScalarBuffer_ (ScalarBuffer &buffer, BufferType bufferType)
| Allocate the space for a buffer storing a scalar quantity.
void | resizeTensorBuffer_ (TensorBuffer &buffer, BufferType bufferType)
| Allocate the space for a buffer storing a tensorial quantity.
void | resizeVectorBuffer_ (VectorBuffer &buffer, BufferType bufferType)
void | resizeEqBuffer_ (EqBuffer &buffer, BufferType bufferType)
| Allocate the space for a buffer storing a equation specific quantity.
void | resizePhaseBuffer_ (PhaseBuffer &buffer, BufferType bufferType)
| Allocate the space for a buffer storing a phase-specific quantity.
void | resizeComponentBuffer_ (ComponentBuffer &buffer, BufferType bufferType)
| Allocate the space for a buffer storing a component specific quantity.
void | resizePhaseComponentBuffer_ (PhaseComponentBuffer &buffer, BufferType bufferType)
| Allocate the space for a buffer storing a phase and component specific buffer.
void | commitScalarBuffer_ (BaseOutputWriter &baseWriter, const char *name, ScalarBuffer &buffer, BufferType bufferType)
| Add a buffer containing scalar quantities to the result file.
void | commitVectorBuffer_ (BaseOutputWriter &baseWriter, const char *name, VectorBuffer &buffer, BufferType bufferType)
| Add a buffer containing vectorial quantities to the result file.
void | commitTensorBuffer_ (BaseOutputWriter &baseWriter, const char *name, TensorBuffer &buffer, BufferType bufferType)
| Add a buffer containing tensorial quantities to the result file.
void | commitPriVarsBuffer_ (BaseOutputWriter &baseWriter, const char *pattern, EqBuffer &buffer, BufferType bufferType)
| Add a buffer with as many variables as PDEs to the result file.
void | commitEqBuffer_ (BaseOutputWriter &baseWriter, const char *pattern, EqBuffer &buffer, BufferType bufferType)
| Add a buffer with as many variables as PDEs to the result file.
void | commitPhaseBuffer_ (BaseOutputWriter &baseWriter, const char *pattern, PhaseBuffer &buffer, BufferType bufferType)
| Add a phase-specific buffer to the result file.
void | commitComponentBuffer_ (BaseOutputWriter &baseWriter, const char *pattern, ComponentBuffer &buffer, BufferType bufferType)
| Add a component-specific buffer to the result file.
void | commitPhaseComponentBuffer_ (BaseOutputWriter &baseWriter, const char *pattern, PhaseComponentBuffer &buffer, BufferType bufferType)
| Add a phase and component specific quantities to the output.
void | attachScalarElementData_ (BaseOutputWriter &baseWriter, ScalarBuffer &buffer, const char *name)
void | attachScalarVertexData_ (BaseOutputWriter &baseWriter, ScalarBuffer &buffer, const char *name)
void | attachVectorElementData_ (BaseOutputWriter &baseWriter, VectorBuffer &buffer, const char *name)
void | attachVectorVertexData_ (BaseOutputWriter &baseWriter, VectorBuffer &buffer, const char *name)
void | attachTensorElementData_ (BaseOutputWriter &baseWriter, TensorBuffer &buffer, const char *name)
void | attachTensorVertexData_ (BaseOutputWriter &baseWriter, TensorBuffer &buffer, const char *name)
std::size_t | getBufferSize (BufferType bufferType) const
Protected Attributes inherited from Opm::BaseOutputModule< TypeTag >
const Simulator & | simulator_

## Detailed Description

template<class TypeTag>
class Opm::VtkBlackOilModule< TypeTag >

VTK output module for the black oil model's parameters.

## Member Function Documentation

## allocBuffers()

template<class TypeTag>

void Opm::VtkBlackOilModule< TypeTag >::allocBuffers | ( |  | ) |

inline override virtual

Allocate memory for the scalar fields we would like to write to the VTK file.

Implements Opm::BaseOutputModule< TypeTag >.

## commitBuffers()

template<class TypeTag>

void Opm::VtkBlackOilModule< TypeTag >::commitBuffers | ( | BaseOutputWriter & | baseWriter | ) |

inline override virtual

Add all buffers to the VTK output writer.

Implements Opm::BaseOutputModule< TypeTag >.

## processElement()

template<class TypeTag>

void Opm::VtkBlackOilModule< TypeTag >::processElement | ( | const ElementContext & | elemCtx | ) |

inline override virtual

Modify the internal buffers according to the intensive quantities relevant for an element.

Implements Opm::BaseOutputModule< TypeTag >.

The documentation for this class was generated from the following file:

- opm/models/io/vtkblackoilmodule.hpp